com.ihr.xbrl.gui.interfaces

## Interface HasErrorsHandler

-     public interface HasErrorsHandler

  The Interface HasErrorsHandler.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLValidationReport` | `getValidationReport()` Access to the validation report that is now represented.
    `void` | `setExtraErrorsReport(XBRLValidationReport valReport)` Sets additional errors that will be added to the validation report.
    `void` | `showErrors(XBRLValidationReport valReport)` The most common implementation just opens a DlgValidationErrors dialog and pass the validation report.
    `XBRLValidationReport` | `validateDTS(XBRLInstance instance)` Executes validation of the instance document that is being edited and generates a new XBRLValidation report.

- - ### Method Detail

    - #### showErrors

          void showErrors(XBRLValidationReport valReport)

      The most common implementation just opens a DlgValidationErrors dialog and pass the validation report.
      Parameters:
        `valReport` - the val report

    - #### getValidationReport

          XBRLValidationReport getValidationReport()

      Access to the validation report that is now represented.
      Returns:
        current XBRLValidationReport represented

    - #### setExtraErrorsReport

          void setExtraErrorsReport(XBRLValidationReport valReport)

      Sets additional errors that will be added to the validation report.
      Parameters:
        `valReport` - the XBRLValidationReport with extra errors

    - #### validateDTS

          XBRLValidationReport validateDTS(XBRLInstance instance)

      Executes validation of the instance document that is being edited and generates a new XBRLValidation report. The processor can optimize processors created in order to speed-up execution
      Parameters:
        `instance` - the XBRL instance report to validate
      Returns:
        a new XBRLValidationRepot with validation summary